/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that returns Gamma(x) where Gamma(x)
is defined as the integral, as t goes from zero to infinity,
of exp(-t) times t to the power (t-1) */
#include <stdio.h>
#include <math.h>

int main() {
    double x = -12.5;
    printf("ln|Gamma (%2.1f)| is %2.1f\n",x,gamma(x));
}
